Package de.willuhn.jameica.hbci.server

# Class AbstractDBSupportImpl

java.lang.Object
de.willuhn.jameica.hbci.server.AbstractDBSupportImpl

All Implemented Interfaces:
  `DBSupport`, `Serializable`

Direct Known Subclasses:
  `DBSupportH2Impl`, `DBSupportMySqlImpl`, `DBSupportPostgreSQLImpl`

public abstract class AbstractDBSupportImpl extends Object implements DBSupport
Abstrakte Basisklasse fuer den Datenbank-Support.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbstractDBSupportImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkConnection(Connection conn)`
Prueft die Datenbankverbindung.
`void`
`execute(Connection conn, File sqlScript)`
Fuehrt ein SQL-Update-Script auf der Datenbank aus.
`int`
`getTransactionIsolationLevel()`
Liefert das Transaction-Isolation-Level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.DBSupport

`getInsertWithID, getJdbcDriver, getJdbcPassword, getJdbcUrl, getJdbcUsername, getScriptPrefix, getSQLTimestamp`

## Constructor Details

### AbstractDBSupportImpl

public AbstractDBSupportImpl()

## Method Details

### execute

public void execute(Connection conn, File sqlScript) throws RemoteException
Description copied from interface: `DBSupport`
Fuehrt ein SQL-Update-Script auf der Datenbank aus.

Specified by:
  `execute` in interface `DBSupport`
Parameters:
  `conn` - die Datenbank-Connection.
  `sqlScript` - das SQL-Script.
Throws:
  `RemoteException`
See Also:
  - `DBSupport.execute(java.sql.Connection, java.io.File)`

### getTransactionIsolationLevel

public int getTransactionIsolationLevel() throws RemoteException
Description copied from interface: `DBSupport`
Liefert das Transaction-Isolation-Level.

Specified by:
  `getTransactionIsolationLevel` in interface `DBSupport`
Returns:
  das Transaction-Isolation-Level.
Throws:
  `RemoteException`
See Also:
  - `DBSupport.getTransactionIsolationLevel()`

### checkConnection

public void checkConnection(Connection conn) throws RemoteException
Description copied from interface: `DBSupport`
Prueft die Datenbankverbindung.

Specified by:
  `checkConnection` in interface `DBSupport`
Parameters:
  `conn` - die Datenbank-Connection.
Throws:
  `RemoteException` - Wenn die Verbindung defekt ist und vom DB-Service neu erzeugt werden muss.
See Also:
  - `DBSupport.checkConnection(java.sql.Connection)`